Page MenuHomeFreeBSD

powerpc64: reduce GENERIC64 diff versus amd64 GENERIC
ClosedPublic

Authored by kbowling on Oct 11 2018, 9:06 AM.

Details

Summary

Catch up various powerpc64 kernel conf things to amd64.

Test Plan
  • ipsec show up in sysctl tree, no functional testing done.
  • cryptosoft loads. kldload cryptodev and then ran cryptocheck
  • racct is loaded and disabled

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kbowling created this revision.Oct 11 2018, 9:06 AM
kbowling marked 2 inline comments as done.Oct 11 2018, 9:07 AM
kbowling added inline comments.
sys/powerpc/conf/GENERIC64
44 ↗(On Diff #49006)

TCP_OFFLOAD only alters cxgb and cxgbe, the later taking effect when loading cxgbei. I can't boot with cxgbe for unrelated reason to this change.

246 ↗(On Diff #49006)

I can't currently boot with my netmap capable NIC for unrelated reasons to these changes.

kbowling updated this revision to Diff 49010.Oct 11 2018, 9:14 AM

Overall I like the idea, but why include things that are likely never to be used? GENERIC* should be getting smaller, not larger, with devmap taking a chunk of the responsibilities.

sys/powerpc/conf/GENERIC64
145 ↗(On Diff #49010)

What's the point of including these devices in GENERIC64?

150 ↗(On Diff #49010)

This, too?

kbowling marked 2 inline comments as done.Oct 16 2018, 4:41 AM

Addressed the two inlines but the overall intent here is to not think about this and follow amd64 GENERIC. When they reduce due to devmatch, we replay the change.

The only real delta now is ixl(4) which I think blows up gcc and mpr(4) which we need but has endian or other issues.

sys/powerpc/conf/GENERIC64
145 ↗(On Diff #49010)

I don't think this is probe-able. A SAS tape library would be a modern use.

150 ↗(On Diff #49010)

This is standard fare on servers

imp added inline comments.Oct 16 2018, 7:56 AM
sys/powerpc/conf/GENERIC64
150 ↗(On Diff #49010)

It's so ubiquitous we see it on lots of (admittedly x86) ahci attachments:
<AHCI SGPIO Enclosure 1.00 0001> at scbus11 target 0 lun 0 (pass8,ses1)
even though we don't actually have an enclosure... This is a standard management interface.

jhibbits accepted this revision.Oct 16 2018, 3:32 PM
This revision is now accepted and ready to land.Oct 16 2018, 3:32 PM

@krion or @timur can I get approval for this to go into unfrozen head?

timur accepted this revision.Nov 13 2018, 8:49 AM

LGTM

This revision was automatically updated to reflect the committed changes.